collapse

* Posts Recentes

cabo utp cravar por artur36
[Ontem às 23:00]


Keysight UXR 110GHz BW, 256GS/s, 10-bit Real-Time Oscilloscope por KammutierSpule
[Ontem às 22:45]


leitura de voltagens com o analogRead(A0) por jm_araujo
[16 de Setembro de 2018, 18:36]


BostonDynamics - Vai uma mãozinha? por josecarlos
[16 de Setembro de 2018, 11:26]


Carregador para 18650 por Njay
[15 de Setembro de 2018, 22:58]


Comunidades Online de Drones por MAntunes
[09 de Setembro de 2018, 18:00]


Sorte do catano por Njay
[09 de Setembro de 2018, 16:51]


BUILD: Toolmaker's Clamp Thingy por TigPT
[08 de Setembro de 2018, 20:19]


Telescopio por Njay
[08 de Setembro de 2018, 15:27]


Detetores de Metal por jm_araujo
[05 de Setembro de 2018, 14:18]

Autor Tópico: Como usar ficheiros lisp no Draftsight?  (Lida 506 vezes)

0 Membros e 1 Visitante estão a ver este tópico.

Offline brunus

  • Mini Robot
  • *
  • Mensagens: 178
Como usar ficheiros lisp no Draftsight?
« em: 27 de Dezembro de 2016, 23:09 »
Precisava de estimar, calcular o perímetro de todas as linhas, segmentos, curvas de um desenho no draftsight. Pelo que percebi não existe essa função por defeito, ou se existe, é preciso andar a selecionar o inicio e fim de cada segmento e se forem mais de 300 segmentos/polylines, torna-se inviável.

Pesquisando o assunto, dei com um forum onde pessoal expõe programas ou uma série de linhas de comando para se usar com o autolisp.

um exemplo:
Citar
Give this a try:
Código: [Seleccione]
(defun c:tlen (/ n e ss rjp-getlength)
  (defun rjp-getlength (e / ep)
    (if (= (type e) 'ename)
      (setq e (vlax-ename->vla-object e))
    )
    (if (not (vl-catch-all-error-p
               (setq ep (vl-catch-all-apply 'vlax-curve-getendparam (list e)))
             )
        )
      (vlax-curve-getdistatparam e ep)
      0.0
    )
  )
  (setq n 0)
  (if (setq ss (ssget))
    (progn (while (setq e (ssname ss 0))
             (setq n (+ (rjp-getlength e) n))
             (ssdel e ss)
           )
           (alert (rtos n))
    )
  )
  (princ)

Como posso usar isto no Draftsight?

1) Para gravar o ficheiro em lisp, basta colocar estas linhas no notepad e gravar com a extensão .lsp?
2) Como executo o ficheiro lisp no Draftsight? ou qual a linha de comandos?
3) É preciso compilar o ficheiro lisp ou colocá-lo em alguma pasta ou directorio do Draftsight?